<?xml version="1.0" encoding="EUC-JP"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" encoding="EUC-JP"/>
<xsl:template match="/">
<html>
<head>
<title>pDomؿ</title>
</head>
<body>
    <xsl:apply-templates/>
</body>
</html>
</xsl:template>

<xsl:template match="itiran">
	<div align="center"><b><xsl:value-of select="file"/>ؿ<xsl:value-of select="date" /></b></div>
	<table border="2" align="center" cellpadding="2" cellspacing="0" width="700">
	<tr>
		<td rowspan="7" bgcolor="#0080ff"><b><font color="#ffffff"></font></b></td>
		<td>Document</td>
		<td>org.w3c.dom.Document</td>
	</tr>
	<tr>
		<td>Element</td>
		<td>org.w3c.dom.Element</td>
	</tr>
	<tr>
		<td>NodeList</td>
		<td>org.w3c.dom.NodeList</td>
	</tr>
	<tr>
		<td>Text</td>
		<td>org.w3c.dom.Text</td>
	</tr>
	<tr>
		<td>Integer</td>
		<td>java.lang.Integer</td>
	</tr>
	<tr>
		<td>Boolean</td>
		<td>java.lang.Boolean</td>
	</tr>
	<tr>
		<td>String</td>
		<td>java.lang.String</td>
	</tr>

	<xsl:apply-templates select="func"/>

	</table>
</xsl:template>

<xsl:template match="func">
	<tr>
		<th bgcolor="#0080ff"><font color="#ffffff"></font></th>
		<th bgcolor="#0080ff"><font color="#ffffff">ؿ̾</font></th>
		<th bgcolor="#0080ff"><font color="#ffffff">ѥ᡼</font></th>
	</tr>
	<tr>
		<td><b><xsl:value-of select="return_type"/><br/></b></td>
		<td><b><xsl:value-of select="function"/><br/></b></td>
		<td><b><xsl:value-of select="param"/><br/></b></td>
	</tr>
	<tr>
		<td><br/></td>
		<td colspan="2"><xsl:apply-templates select="text"/></td>
	</tr>
	
</xsl:template>

<xsl:template match="text">
	<xsl:value-of select="."/><br/>
</xsl:template>

</xsl:stylesheet>
